Bug 259145 - science/orthanc: Update to 1.9.7
Summary: science/orthanc: Update to 1.9.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Wen Heping
URL: https://hg.orthanc-server.com/orthanc...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-13 17:03 UTC by Frank Scholl
Modified: 2021-10-17 07:23 UTC (History)
1 user (show)

See Also:


Attachments
science_orthanc-1.9.7.diff (2.79 KB, patch)
2021-10-13 17:03 UTC, Frank Scholl
maintainer.freebsd: maintainer-approval+
Details | Diff
science_orthanc-1.9.7.diff (4.22 KB, patch)
2021-10-14 15:12 UTC, Frank Scholl
maintainer.freebsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Frank Scholl 2021-10-13 17:03:00 UTC
Created attachment 228673 [details]
science_orthanc-1.9.7.diff

- poudriere successful on aarch64 and amd64
- update to version 1.9.7
- fixed detection of compiled in features of www/civetweb (mg_disable_connection_keep_alive)
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2021-10-13 23:32:56 UTC
^Triage: 

  - [tags] in issue Titles are deprecated
  - If there is a changelog or release notes URL available for this version, please add it to the URL field
Comment 2 Frank Scholl 2021-10-14 15:12:39 UTC
Created attachment 228702 [details]
science_orthanc-1.9.7.diff

- changed the order of the Makefile variables.
- used DISTVERSION in PLIST_SUB and pkg-plist.
Comment 3 commit-hook freebsd_committer 2021-10-17 07:21:13 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=5af16dbf50079ce311bed656a245cd4fa74fac56

commit 5af16dbf50079ce311bed656a245cd4fa74fac56
Author:     Wen Heping <wen@FreeBSD.org>
AuthorDate: 2021-10-17 07:18:34 +0000
Commit:     Wen Heping <wen@FreeBSD.org>
CommitDate: 2021-10-17 07:18:34 +0000

    cience/orthanci: Update to 1.9.7

    PR:             259145
    Reported by:    maintainer.freebsd@xpoundit.com(maintainer)

 science/orthanc/Makefile                                          | 8 +++++---
 science/orthanc/distinfo                                          | 6 +++---
 ...h-OrthancFramework_Resources_CMake_CivetwebConfiguration.cmake | 8 ++++----
 science/orthanc/pkg-plist                                         | 4 ++--
 4 files changed, 14 insertions(+), 12 deletions(-)